/******************************************************************************/
/*                                                                            */
/*         SAS Program to combine SAS merged files from T15 and TN15          */
/*                           TIMSS 2015 User Guide                            */
/*                                                                            */
/******************************************************************************/

%MACRO CMB_T15_TN15(T15FILE  =  ,
                    TN15FILE =  ,
                    INDIR    =  ,
                    OUTDIR   =  ) ;

  LIBNAME INDIR  "&INDIR" ;
  LIBNAME OUTDIR "&OUTDIR" ;

  OPTIONS NONOTES FMTSEARCH=(INDIR,OUTDIR) MPRINT ;

  DATA OUTDIR.&T15FILE._CMB ;
       SET INDIR.&T15FILE
           INDIR.&TN15FILE ;
  RUN ;

%MEND CMB_T15_TN15 ;

%CMB_T15_TN15 (T15FILE  = <specify TIMSS 2015 file name> ,
               TN15FILE = <specify TIMSS Numeracy 2015 file name> ,
               INDIR    = <specify location of input files using format "x:\xxx"> ,
               OUTDIR   = <specify location of output file using format "x:\xxx"> ) ;
