/******************************************************************************/
/*                                                                            */
/*         SAS Program to Convert SAS Export Files to SAS Data Files          */
/*                           TIMSS 2015 User Guide                            */
/*                                                                            */
/******************************************************************************/

OPTIONS NONOTES MPRINT ;

%MACRO DOIT (TYPE   = ,
             INDIR  = ,
             OUTDIR = ) ;

  LIBNAME OUTDIR "&OUTDIR" ;

  * Start of file type processing loop ;

  %DO  F = 1 %TO %SYSFUNC(COUNTW(&TYPE)) ;
    %LET FTYPE = %SCAN(&TYPE,&F) ;

    * List of TIMSS Numeracy 2015 countries ;

    %LET COUNTRY = BHR IDN IRN JOR KWT MAR ZAF
                   ABA ;

  * Start of country processing loop ;

    %LET I = 1 ;
    %DO %WHILE(%LENGTH(%SCAN(&COUNTRY,&I))) ;
      %LET CTRY = %SCAN(&COUNTRY,&I) ;

      PROC CIMPORT FILE="&INDIR.\&FTYPE&CTRY.N1.EXP"
                   DATA=OUTDIR.&FTYPE&CTRY.N1 ;
      RUN ;

      * End of country processing loop ;

      %LET I = %EVAL(&I + 1) ;
    %END ;

    * End of file type processing loop ;

  %END ;

%MEND DOIT ;

%DOIT (TYPE   = ACG ASA ASG ASH ASR AST ATG ,
       INDIR  = <specify location of SAS export files using format "x:\xxx"> ,
       OUTDIR = <specify location of SAS data files using format "x:\xxx"> ) ;
