********************************************************************************
*                                                                              *
*         SPSS Program to combine SPSS merged files from T15 and TN15          *
*                            TIMSS 2015 User Guide                             *
*                                                                              *
********************************************************************************.

SET MPRINT=ON .

DEFINE CMB_T15_TN15(T15FILE  = !CHAREND('/') !DEFAULT("") /
                    TN15FILE = !CHAREND('/') !DEFAULT("") /
                    INDIR    = !CHAREND('/') !DEFAULT("") /
                    OUTDIR   = !CHAREND('/') !DEFAULT("") ) .

  ADD FILES
    / FILE = !QUOTE(!CONCAT(!UNQUOTE(!INDIR),"\",!T15FILE,".SAV"))
    / FILE = !QUOTE(!CONCAT(!UNQUOTE(!INDIR),"\",!TN15FILE,".SAV")) .

  SAVE OUTFILE = !QUOTE(!CONCAT(!UNQUOTE(!OUTDIR),"\",!T15FILE,"_CMB.SAV")) .

!ENDDEFINE .

CMB_T15_TN15 T15FILE  = <specify TIMSS 2015 file name> /
             TN15FILE = <specify TIMSS Numeracy 2015 file name> /
             INDIR    = <specify location of input files using format "x:\xxx"> /
             OUTDIR   = <specify location of output file using format "x:\xxx"> .
